<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Raise Charity Pro
 * @since Raise Charity Pro 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'raise_charity_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'raise-charity-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'raise_charity_pro_theme_options_panel',
	)
);

// footer_section
$wp_customize->add_setting( 'raise_charity_pro_theme_options[footer_section]',
	array(
		'default'       		=> $options['footer_section'],
		'sanitize_callback' => 'raise_charity_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Raise_Charity_Pro_Switch_Control( $wp_customize, 'raise_charity_pro_theme_options[footer_section]',
    array(
		'label'      			=> esc_html__( 'Footer Section', 'raise-charity-pro' ),
		'section'    			=> 'raise_charity_pro_section_footer',
		'on_off_label' 		=> raise_charity_pro_switch_options(),
    )
) );

// footer text
$wp_customize->add_setting( 'raise_charity_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'raise_charity_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'raise_charity_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'raise-charity-pro' ),
		'section'    			=> 'raise_charity_pro_section_footer',
		'type'		 			=> 'textarea',
		'active_callback'		=> 'raise_charity_pro_is_footer_Section_enable',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'raise_charity_pro_theme_options[copyright_text]', array(
		'selector'            => '.site-info span',
		'settings'            => 'raise_charity_pro_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'raise_charity_pro_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'raise_charity_pro_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback' => 'raise_charity_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Raise_Charity_Pro_Switch_Control( $wp_customize, 'raise_charity_pro_theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'raise-charity-pro' ),
		'section'    			=> 'raise_charity_pro_section_footer',
		'on_off_label' 		=> raise_charity_pro_switch_options(),
    )
) );